
version: '3.6'

services:

  global-config:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-global-config:24.0.0
    ports:
      - 33133:33133
    environment:
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/global-config:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging: &allinoneLogging
      driver: "json-file"
      options:
        max-file: "5"
        max-size: "100m"

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
